Bug 1146591 - Overlord: Remove Fuse from installer and replace with new Karaf commands
Overlord: Remove Fuse from installer and replace with new Karaf commands
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR3
: FUTURE
Assigned To: Thomas Heute
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-25 11:06 EDT by Brett Meyer
Modified: 2015-11-02 03:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-144 Major Resolved Support Fuse/Fabric deployment using karaf commands 2016-06-15 08:10 EDT
JBoss Issue Tracker DTGOV-231 Major Resolved Fuse Fabric commands refactoring 2016-06-15 08:10 EDT
JBoss Issue Tracker OVERLORD-117 Major Resolved Pull Fabric profile tasks out of overlord-commons-dist-fuse6 and into a new overlord-commons-dist-fabric-profile 2016-06-15 08:10 EDT
JBoss Issue Tracker OVERLORD-142 Major Resolved Not all required overlord properties are created if file already exists in fuse 2016-06-15 08:10 EDT
JBoss Issue Tracker OVERLORD-151 Major Resolved Fuse Fabric Commands refactoring 2016-06-15 08:10 EDT
JBoss Issue Tracker OVERLORD-153 Major Resolved Fabric Password Encryption not allowed 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-380 Major Closed Passwords in clear text when running in Fuse 6.1 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-566 Major Closed Remove Fuse from installer and replace with new Karaf commands 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-569 Major Closed Create maven plugin to merge .properties files 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-570 Major Closed Improve s-ramp commands for Fuse/Fabric 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-578 Major Closed Fuse Fabric commands refactoring 2016-06-15 08:10 EDT
JBoss Issue Tracker SRAMP-585 Major Closed Use Karaf Commands to include UI Headers in the Fabric deployment 2016-06-15 08:10 EDT

  None (edit)
Description Brett Meyer 2014-09-25 11:06:30 EDT
Rather than continue to support Fuse from within an external installer, create Karaf command(s) to handle it all. Each project will have at least it's own overlord:[project]:configure.
Comment 1 JBoss JIRA Server 2014-09-26 14:16:17 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-570 to Resolved
Comment 2 JBoss JIRA Server 2014-10-03 09:47:36 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira DTGOV-144 to Resolved
Comment 3 JBoss JIRA Server 2014-10-03 09:47:44 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira DTGOV-231 to Resolved
Comment 4 JBoss JIRA Server 2014-10-03 09:48:27 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira OVERLORD-151 to Resolved
Comment 5 JBoss JIRA Server 2014-10-03 09:49:21 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira OVERLORD-153 to Resolved
Comment 6 JBoss JIRA Server 2014-10-03 10:04:57 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-570 to Closed
Comment 7 JBoss JIRA Server 2014-10-03 10:04:58 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-380 to Closed
Comment 8 JBoss JIRA Server 2014-10-03 10:04:59 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-566 to Closed
Comment 9 JBoss JIRA Server 2014-10-03 10:05:00 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-578 to Closed
Comment 10 JBoss JIRA Server 2014-10-03 10:05:02 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-569 to Closed
Comment 11 JBoss JIRA Server 2014-10-03 10:05:03 EDT
Brett Meyer <brmeyer@redhat.com> updated the status of jira SRAMP-585 to Closed
Comment 12 Brett Meyer 2014-10-07 12:02:26 EDT
Fix included in the fsw6.2-DR3 tag

Note You need to log in before you can comment on or make changes to this bug.